Skip to content

Article_UpdateArticleCosts

POST
/api/Article/UpdateArticleCosts
curl --request POST \
--url https://salesapi.caspeco.net/api/Article/UpdateArticleCosts \
--header 'Content-Type: application/json' \
--data '{ "Articles": [ { "SystemName": "example", "Vendor": 1, "UnitRule": "example", "DivisionId": "example", "MainGroupId": "example", "ArticleGroupId": "example", "ArticleId": "example", "ArticleName": "example", "RawMaterialCost": 1, "Times": [ { "PersonalType": "example", "TimeOther": 1, "TimeProduction": 1 } ], "CostValidFrom": "2026-04-15T12:00:00Z" } ] }'
Caspeco-Storage-Auth-Id
string

Used in Article

Caspeco-Storage-Auth-Secret
string

Used in Article

AuthKey
string

Used in ExportAPI

object
Articles
Array<object>
object
SystemName
string
Vendor
integer format: int32
UnitRule
string
DivisionId
string
MainGroupId
string
ArticleGroupId
string
ArticleId
string
ArticleName
string
RawMaterialCost
number format: double
Times
Array<object>
object
PersonalType
string
TimeOther
integer format: int32
TimeProduction
integer format: int32
CostValidFrom
string format: date-time
Examplegenerated
{
"Articles": [
{
"SystemName": "example",
"Vendor": 1,
"UnitRule": "example",
"DivisionId": "example",
"MainGroupId": "example",
"ArticleGroupId": "example",
"ArticleId": "example",
"ArticleName": "example",
"RawMaterialCost": 1,
"Times": [
{
"PersonalType": "example",
"TimeOther": 1,
"TimeProduction": 1
}
],
"CostValidFrom": "2026-04-15T12:00:00Z"
}
]
}

OK

object
Examplegenerated
{}